MonoMac 0.0.0.0 MonoMac.AppKit.NSView MonoMac.Foundation.Register("NSBox", true) To be added. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor, initializes a new instance of this class.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithFrame:")
  Frame used by the view, expressed in iOS points.
  Initializes the NSBox with the specified frame.

  This constructor is used to programatically create a new instance of NSBox with the specified dimension in the frame. The object will only be displayed once it has been added to a view hierarchy by calling AddSubview in a containing view.

  This constructor is not invoked when deserializing objects from storyboards or XIB filesinstead the constructor that takes an NSCoder parameter is invoked.

- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("borderColor")
  set: MonoMac.Foundation.Export("setBorderColor:")
  MonoMac.AppKit.NSColor To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("borderRect")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("borderType")
  set: MonoMac.Foundation.Export("setBorderType:")
  MonoMac.AppKit.NSBorderType To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("borderWidth")
  set: MonoMac.Foundation.Export("setBorderWidth:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("boxType")
  set: MonoMac.Foundation.Export("setBoxType:")
  MonoMac.AppKit.NSBoxType To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentView")
  set: MonoMac.Foundation.Export("setContentView:")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("contentViewMargins")
  set: MonoMac.Foundation.Export("setContentViewMargins:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cornerRadius")
  set: MonoMac.Foundation.Export("setCornerRadius:")
  System.Single To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSBox object.

  This Dispose method releases the resources used by the NSBox class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSBox ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("fillColor")
  set: MonoMac.Foundation.Export("setFillColor:")
  MonoMac.AppKit.NSColor To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setFrameFromContentFrame:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setTitleWithMnemonic")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sizeToFit")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("title")
  set: MonoMac.Foundation.Export("setTitle:")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("titleCell")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("titleFont")
  set: MonoMac.Foundation.Export("setTitleFont:")
  MonoMac.AppKit.NSFont To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("titlePosition")
  set: MonoMac.Foundation.Export("setTitlePosition:")
  MonoMac.AppKit.NSTitlePosition To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("titleRect")
  System.Drawing.RectangleF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isTransparent")
  set: MonoMac.Foundation.Export("setTransparent:")
  System.Boolean To be added. To be added. To be added.